Package org.apache.wiki.ui.progress

# Class DefaultProgressManager.JSONTracker

java.lang.Object
org.apache.wiki.ui.progress.DefaultProgressManager.JSONTracker

All Implemented Interfaces:
  `WikiAjaxServlet`

Enclosing class:
  DefaultProgressManager

public class DefaultProgressManager.JSONTracker extends Object implements WikiAjaxServlet
Provides access to a progress indicator, assuming you know the ID. Progress of zero (0) means that the progress has just started, and a progress of 100 means that it is complete.

## Constructor Summary

Constructors
Constructor
Description
`JSONTracker()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getProgress(String progressId)`
Returns upload progress in percents so far.
`String`
`getServletMapping()`
`void`
`service(jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse resp, String actionName, List<String> params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JSONTracker

public JSONTracker()

## Method Details

### getProgress

public int getProgress(String progressId)
Returns upload progress in percents so far.

Parameters:
  `progressId` - The string representation of the progress ID that you want to know the progress of.
Returns:
  a value between 0 to 100 indicating the progress

### getServletMapping

public String getServletMapping()

Specified by:
  `getServletMapping` in interface `WikiAjaxServlet`

### service

public void service(jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse resp, String actionName, List<String> params) throws IOException

Specified by:
  `service` in interface `WikiAjaxServlet`
Throws:
  `IOException`